%global srcname SQLAlchemy

%{!?python3_pkgversion: %global python3_pkgversion 34}

Name:           python%{python3_pkgversion}-sqlalchemy
Version:        1.1.3
Release:        1%{?dist}
Summary:        Modular and flexible ORM library for python

License:        MIT
URL:            http://www.sqlalchemy.org/
Source0:        https://files.pythonhosted.org/packages/source/S/%{srcname}/%{srcname}-%{version}.tar.gz

Summary:        Modular and flexible ORM library for python
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description
SQLAlchemy is an Object Relational Mappper (ORM) that provides a flexible,
high-level interface to SQL databases.  Database and domain concepts are
decoupled, allowing both sides maximum flexibility and power. SQLAlchemy
provides a powerful mapping layer that can work as automatically or as manually
as you choose, determining relationships based on foreign keys or letting you
define the join conditions explicitly, to bridge the gap between database and
domain.

%package doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install

# remove unnecessary scripts for building documentation
rm -rf doc/build


%check
pytest3="py.test-$(%{__python3} -c 'from __future__ import print_function; import sys; vi=sys.version_info; print("{0}.{1}".format(vi.major, vi.minor))')"
PYTHONPATH=. "$pytest3" test

%files doc
%doc doc examples

%files -n python%{python3_pkgversion}-sqlalchemy
%license LICENSE
%doc README.rst CHANGES
%{python3_sitearch}/*


%changelog
* Thu Mar 30 2017 Martin Juhl <mj@casalogic.dk> - 1.1.3-1
- Initial Release of seperate python3 package

